package asia.live_cast.translator.sample;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.net.MalformedURLException;

import com.facebook.android.AsyncFacebookRunner;
import com.facebook.android.AsyncFacebookRunner.RequestListener;
import com.facebook.android.DialogError;
import com.facebook.android.Facebook;
import com.facebook.android.Facebook.DialogListener;
import com.facebook.android.FacebookError;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class TranslatorSample16Activity extends Activity {
	Facebook facebook = new Facebook("xxxxxxxxxxxxxxx");
	AsyncFacebookRunner runner = new AsyncFacebookRunner(facebook);
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        final EditText text = (EditText)findViewById(R.id.text);
        Button btnPost = (Button)findViewById(R.id.post);
        
        btnPost.setOnClickListener(new OnClickListener() {

			public void onClick(View v) {
				facebook.authorize(TranslatorSample16Activity.this, new String[] {"publish_stream"}, new DialogListener() {

					public void onComplete(Bundle values) {
				    	Bundle bundle = new Bundle();
				    	bundle.putString("message", text.getText().toString());
				    	runner.request("me/feed", bundle, "POST", new RequestListener() {

							public void onComplete(String response, Object state) {
								
							}

							public void onIOException(IOException e,
									Object state) {
								
							}

							public void onFileNotFoundException(
									FileNotFoundException e, Object state) {
								
							}

							public void onMalformedURLException(
									MalformedURLException e, Object state) {
								
							}

							public void onFacebookError(FacebookError e,
									Object state) {
								
							}
				    		
				    	}, null);
					}

					public void onFacebookError(FacebookError e) {
						
					}

					public void onError(DialogError e) {
						
					}

					public void onCancel() {
						
					}
					
				});
			}
        	
        });
    }
    
    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
    	super.onActivityResult(requestCode, resultCode, data);
    	facebook.authorizeCallback(requestCode, resultCode, data);
    }
}